<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Sentencia', routerLink: '../' }"
    [model]="[{ icon: 'pi pi-book', label: ' Registro', routerLink: './' }]">
  </p-breadcrumb>
</div>

<div class="card p-3">
  <form>
    <div class="form-row">
      <div class="col-6">
        <label for="">Tipo de asunto:</label>
        <input type="text" class="form-control" list="asuntoList" autocomplete="off" placeholder="Tipo de asunto" name="tipoAuntos"
          id="tipoAsunto" [(ngModel)]="sentenciaModel.sentencia.tipoAsunto" [ngClass]="{'invalid': requerid.asunto }">
        <datalist id="asuntoList">
          <option *ngFor="let asunto of catalogos.tipoAsunto" [value]="asunto.nombre">
            {{asunto.nombre}}
          </option>
        </datalist>
      </div>
      <div class="col-6">
        <label for="">Número de expediente:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Número de expediente" name="numExp" id="numExp"
          [(ngModel)]="sentenciaModel.sentencia.numeroExpediente" [ngClass]="{'invalid': requerid.expediente }">
      </div>
      <div class="col-6">
        <label for="">Órgano de radicación:</label>
        <input type="text" class="form-control" list="organoList" autocomplete="off" placeholder="Órgano radicación" name="organoRadica"
          id="organoRadica" [(ngModel)]="sentenciaModel.sentencia.organoRadicacion" [ngClass]="{'invalid': requerid.organo }">
        <datalist id="organoList">
          <option *ngFor="let organo of catalogos.organoRadicacion" [value]="organo.nombre">
            {{organo.nombre}}
          </option>
        </datalist>
      </div>
      <div class="col-6">
        <label for="">Fecha de resolución:</label>
        <div style="overflow-wrap: normal;">
          <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha de resolución"
            [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaResolu" id="fechaResolu"
            [(ngModel)]="sentenciaModel.sentencia.fechaResolucion" [styleClass]="requerid.fecha ? 'invalid w-100' : 'w-100'"></p-calendar>
        </div>
      </div>
      <div class="col-12">
        <label for="">Ponente:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Ponente" list="ponente" name="ponent" id="ponent"
          [(ngModel)]="sentenciaModel.sentencia.ponente" [ngClass]="{'invalid': requerid.ponente }">
        <datalist id="ponente">
          <option [value]="min.nombre" *ngFor="let min of catalogos.ministros">
            {{min.nombre}}
          </option>
        </datalist>
      </div>
    </div>
  </form>
  <div class="d-flex justify-content-between mt-2">
    <a routerLink="../">
      <p-button styleClass="p-button-sm back" label="Volver"></p-button>
    </a>
    <p-button styleClass="p-button-sm" icon="pi pi-book" label="Crear sentencia" (onClick)="crearSentencia()">
    </p-button>
  </div>
</div>
